Plugin trên các công cụ soạn thảo nổi tiếng có thể cho hacker chiếm quyền ưu tiên

Dù là lập trình viên hay nhà văn, một trình soạn thảo luôn giúp bạn làm việc hiệu quả hơn trong môi trường kỹ thuật số. Ví dụ như Sublime được nhiều người dùng do có các công cụ đánh dấu cú pháp, tự động hoàn thiện rất hữu ích.

Các công cụ này thường cũng được mở rộng tính năng bằng các plugin của bên thứ 3. Nhưng chính các plugin này lại thường mang đến các hiểm họa khó lường, dù là plugin của những công cụ quen thuộc như Wordpress hay Chrome.

Nhà nghiên cứu tại SafeBreach Dor Azouri đã phân tích một số công cụ soạn thảo nổi tiếng trên hệ thống Unix, Linux như Sublime, Vim, Emacs, Gedit và pico/nano. Trong đó ngoại trừ pico/nano, tất cả đều có lỗ hổng có thể giúp kẻ tấn công leo thang đặc quyền và chạy mã độc.

Plugin từ bên thứ 3 luôn ẩn chứa nhiều nguy hiểm
Plugin từ bên thứ 3 luôn ẩn chứa nhiều nguy hiểm

Lỗi này nằm ở khâu khi các công cụ này tải plugin. Theo đó việc chia chế độ thông thường và leo thang không được phân chia hợp lý. Tính toàn vẹn của quyền truy cập thư mục không được giữ nguyên nên mở cửa cho kẻ tấn công với quyền truy cập thông thường leo thang đặc quyền và chạy mã độc.

Một chiến dịch quảng cáo độc hại đơn giản có thể giúp phát tán, chạy mã độc, cài malware và hoàn toàn kiểm soát máy nạn nhân từ xa. Azouri khuyên nên dùng hệ thống phát hiện xâm nhập theo host mã nguồn mở có tên OSSEC để giám sát hoạt động hệ thống, nhật ký, quy trình…

Người dùng nên tránh tải plugin của bên thứ 3 khi đang ở chế độ Elevated và từ chối quyền truy cập với những người dùng không có đặc quyền. Quyền truy cập thư mục, tập tin cũng nên phân chia rõ ràng giữa 2 chế độ.

Xem thêm:

Thứ Năm, 22/03/2018 17:21
51 👨 103
0 Bình luận
Sắp xếp theo